Package com.sun.jna

# Class NativeLong

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.NativeLong

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Direct Known Subclasses:
  `CoreFoundation.CFIndex`, `CoreFoundation.CFTypeID`, `WinNT.HRESULT`, `X11.VisualID`, `X11.XID`

public class NativeLong extends IntegerType
Represents the `long` C data type, which may be 32 or 64 bits on *nix-based systems.

Author:
  wmeissner@gmail.com
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZE`
  Size of a native long, in bytes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NativeLong()`
  Create a zero-valued NativeLong.
  `NativeLong(long value)`
  Create a NativeLong with the given value.
  `NativeLong(long value, boolean unsigned)`
  Create a NativeLong with the given value, optionally unsigned.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIZE

    public static final int SIZE
    Size of a native long, in bytes.

- ## Constructor Details

  - ### NativeLong

    public NativeLong()
    Create a zero-valued NativeLong.

  - ### NativeLong

    public NativeLong(long value)
    Create a NativeLong with the given value.

  - ### NativeLong

    public NativeLong(long value, boolean unsigned)
    Create a NativeLong with the given value, optionally unsigned.